Get a notification

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/notifications/{instance_id}

Get a notification. You must be an administrator.

Path parameters

  • instance_id string(uuid) Required

    Unique identifier of the notification

Query parameters

  • relations boolean

    Add the related data. The default value is true.

    Default value is true.

Responses

  • 200 application/json

    The notification

    Hide response attributes Show response attributes object
    • id string(uuid)
    • person_id string(uuid)
    • comment_id string(uuid)
    • type string

      Values are comment, mention, assignation, reply, reply-mention, or playlist-ready.

    • author_id string(uuid)
    • task_id string(uuid)
    • playlist_id string(uuid)
    • reply_id string(uuid)
    • change boolean
    • read boolean
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The identifier is not a valid UUID

  • 403

    You are not an administrator

  • 404

    The notification does not exist

GET /data/notifications/{instance_id}
curl -X GET "http://api.example.com/data/notifications/a24a6ea4-ce75-4665-a070-57453082c25?relations=true" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/notifications/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "relations": true
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "comment_id": "c24a6ea4-ce75-4665-a070-57453082c250",
  "type": "comment",
  "author_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "task_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "playlist_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "reply_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "change": false,
  "read": false,
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}